Subject: [Netmod-ver-dt] First take at the YANG schema comparison draft

From: "Rob Wilton (rwilton)" <[email-masked]>
Date: Wed, 13 Nov 2019 08:56:53 +0000

Hi,

You will have seen Lou's response that the WG chairs would like to see a complete set of solution drafts, and try to call for WG adoption for a full set of solution drafts.

To this end, I have tried to knock together a starting point for the YANG schema comparison draft.  The hope that this draft is sufficient to present at IETF 106 and represents enough of a starting point that we can get the WG behind the overall direction of the solution.

The draft is only 13 pages long, so if you can get a change to review it before tomorrow's meeting that would be great (but I appreciate that isn't much time).

>From my point of view, I believe that the key questions are:

  1.  Does this draft align with your expectation of a solution for schema comparison (potentially putting aside exactly how the algorithms are defined, etc)?
  2.  Is this draft missing anything important to the schema comparison work?
  3.  Would you support this as a starting point for a schema comparison solution?  I.e. are OK with this draft being presented at 106, and for us to ask for WG adoption as the future direction.

The draft and YANG module are attached, and also pushed to DT github repository.

Thanks,
Rob